@import "var.scss";

// ==========================Login Popup
.white-popup {

    @media (max-width: 590px) {
        border-radius: 0;
    }
}

.content_lightbox {
    p {
        font-size: 16px;
    }

    .check3 {
        svg {
            color: var(--color_main);
            width: 30px;
            height: 30px;
        }
    }

    hr {
        border-top: 1px solid rgba(112, 112, 112, 0.5);
        margin: 18px 0;
    }

    .button-bottom {
        justify-content: center;

        .btn {
            margin: 0 10px;
            width: 188px;
            padding: 0 10px;
            border: none;
        }

        &.align-right {
            .btn {
                margin: 0;
            }
        }
    }

    @media (max-width: 767px) {
        padding: 20px 16px;
    }

    @media (max-width: 599px) {
        .tab-login {
            a {
                font-size: 20px;
            }
        }
    }

    @media (max-width: 400px) {
        .btn {
            width: 40%;
        }

        .button-bottom.align-right {
            .btn {
                width: 100%;
            }
        }
    }
}

.white-popup.popup-width {
    max-width: 800px;
}

.white-popup.popup-width__2 {
    max-width: 700px;
}

.login-popup {
    .content_lightbox {
        padding: 30px
    }
}

.hide-close {
    .mfp-close {
        display: none
    }
}

.back_step {
    svg {
        width: 24px;
        height: 24px;
    }
}

.tab-login {
    justify-content: center;
    border-bottom: 3px solid #F3F5F8;
    margin: -30px -30px 30px -30px;

    a {
        font-size: 20px;
        width: 50%;
        text-align: center;
        color: #161616;

        &.active {
            &::before {
                content: "";
                background: #06C1D4;
                left: 0;
                right: 0;
                height: 3px;
                position: absolute;
                bottom: -3px;
            }
        }
    }
}


#show_hide_password,
#show_hide_password2 {
    .input-group-addon {
        position: absolute;
        top: 8px;
        right: 10px;

        a {
            color: $color4;
        }
    }

    .checked {
        position: absolute;
        right: -30px;
        top: 8px;

        svg {
            color: var(--color_main);
            width: 20px;
        }

        &.false {
            svg {
                color: #D50202;
            }
        }
    }
}

.login-form {
    .form-group.flex {
        label.block {
            font-size: 16px;
            display: block;
            color: #000;
            margin-bottom: 8px;
            font-weight: 600;
        }

        .input-wrap {
            width: 100%;



            .form-control {
                background: var(--gray50);
                padding: 10px 16px;
                height: 48px;
                box-shadow: none;
                color: #0E0E0E;
                font-size: 16px;
                border-radius: 4px;
            }

            .textarea {
                height: 124px;
                resize: none;
            }
        }
    }
}

// ========================== End Login Popup

// ==========================Login PC
.width-container {
    max-width: 545px;
    margin: 50px auto;

    .form-group {
        margin-bottom: 30px;
    }

    .content_lightbox {
        padding: 0;
    }

    .title {
        font-size: 36px;
        font-weight: bold;
        text-align: center;
        margin-bottom: 35px;
    }

    #show_hide_password,
    #show_hide_password2 {
        .input-group-addon {
            top: 18px;
            right: 15px;
        }

        .checked {
            top: 17px;
        }
    }


    p {
        font-size: 16px;
        line-height: 1.6;
    }

    .btn-primary {
        height: 58px;
        line-height: 58px;
        margin: 0 0 15px 0;
        width: 100%;
        border: 0;
        background: var(--color_main);

        &:hover {
            background: var(--color_main_hover);
        }

        &:active {
            background: var(--color_main_active);
        }
    }

    @media (max-width: 500px) {
        margin: 30px auto;

        .title {
            font-size: 25px;
        }
    }
}

.code-confirm {
    .form-group.flex {
        label {
            font-size: 20px;
            margin-top: 16px;
        }

        .input-wrap {
            width: 380px;

            input {
                height: 58px;
                font-size: 24px;
                width: 88px;
            }
        }

        @media (max-width: 500px) {
            justify-content: center;

            label {
                margin-bottom: 10px;
            }
        }

        @media (max-width: 400px) {
            .input-wrap {
                width: 100%;
                text-align: center;

                input {
                    width: 75px;
                }
            }
        }

        @media (max-width: 340px) {
            .input-wrap {
                input {
                    width: 65px;
                }
            }
        }
    }

    input {
        width: 53px;
        display: inline-block;
        text-align: center;
        font-size: 24px;
        margin-left: 4px;
    }
}

.form-label-group {
    position: relative;
    margin-bottom: 32px;
}

.form-label-group input {
    height: 58px;
    background: #f2f2f2;
    font-size: 16px;
    color: #050505;
}

.form-control {
    border: 1px solid #f2f2f2;
    @extend .transition_ease;
}

.form-control:focus {
    background: #f2f2f2;
    color: #050505;
    border: 1px solid var(--color_main);
    outline: 0;
    box-shadow: none;
}

.form-label-group>input,
.form-label-group .lbl {
    padding: 15px 20px;
    height: 58px;
}

.form-label-group .lbl {
    position: absolute;
    top: 0;
    left: 0;
    display: block;
    width: 100%;
    margin-bottom: 0;
    line-height: 1.5;
    color: #050505;
    font-size: 20px;
    border: 1px solid transparent;
    border-radius: .25rem;
    transition: all .1s ease-in-out;
}

.form-label-group input::-webkit-input-placeholder {
    color: transparent;
}

.form-label-group input:-ms-input-placeholder {
    color: transparent;
}

.form-label-group input::-ms-input-placeholder {
    color: transparent;
}

.form-label-group input::-moz-placeholder {
    color: transparent;
}

.form-label-group input::placeholder {
    color: transparent;
}

.form-label-group input:not(:placeholder-shown) {
    padding: 30px 20px 8px 20px;
}

.form-label-group input:not(:placeholder-shown)~.lbl {
    padding: 6px 20px;
    font-size: 14px;
    color: var(--gray500);
    height: auto;
}

@media (max-width: 576px) {
    .thongso-popup {
        .content_lightbox {
            padding: 20px 8px 20px 10px;
        }

        .scroll-element {
            display: none !important
        }
    }
}
/* Fallback for Edge
-------------------------------------------------- */

@supports (-ms-ime-align: auto) {
    .form-label-group .lbl {
        display: none;
    }

    .form-label-group input::-ms-input-placeholder {
        color: #777;
    }
}

/* Fallback for IE
-------------------------------------------------- */

@media all and (-ms-high-contrast: none),
(-ms-high-contrast: active) {
    .form-label-group .lbl {
        display: none;
    }

    .form-label-group input:-ms-input-placeholder {
        color: #777;
    }
}

//End Login PC